ReferenceAPI

List workspace invitations

List the invitations for a workspace.

GET https://api.nevia.cloud/v1/workspaces/{ws}/invitations
curl -X GET "https://api.nevia.cloud/v1/workspaces/01d4cnjjq40hnnh0nwmkg35nv2h/invitations" \
  -H "Authorization: Bearer $TOKEN"
{
  "invitations": [
    {
      "id": "01d4cnjn1xy3n9dcwtjnxbxhf15",
      "workspace": "01d4cnjjq40hnnh0nwmkg35nv2h",
      "email": "[email protected]",
      "role": "editor",
      "state": "pending",
      "invited_by": "01d4cnjmn4fbb1r5btxb5mypv62",
      "created_at": "2026-09-10T12:34:56Z",
      "updated_at": "2026-09-10T12:34:56Z",
      "expires_at": "2026-09-10T12:34:56Z",
      "last_sent_at": "2026-10-10T09:20:00Z",
      "email_sent": true,
      "accepted_by": "string",
      "accepted_at": null
    }
  ],
  "next_cursor": "string",
  "has_more": true
}

Authorization

bearerAuth
Authorization Bearer <token>

Send the token in the Authorization: Bearer <token> header. See Authenticate.

In: header

Path Parameters

ws* string

Workspace id: 27 lowercase letters and digits.

Match ^[A-Za-z0-9_-]{1,64}$

Query Parameters

limit? integer

Page size

Range 1 <= value <= 100
Default 50
cursor? string

next_cursor from the previous page

state? string pending · expired · all

Invitation state to list, default pending. expired is pending past expires_at

Response

application/json

One page of invitations, keyset-paged.